Bug 221838 - SELinux is preventing /usr/bin/python (semanage_t) "ioctl" to pipe:[11703] (xdm_t).
SELinux is preventing /usr/bin/python (semanage_t) "ioctl" to pipe:[11703] (x...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
6
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-08 09:31 EST by Erik Sohns
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-12 13:08:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Erik Sohns 2007-01-08 09:31:01 EST
Description of problem:
setroubleshoot caught this...

Version-Release number of selected component (if applicable):
Name        : selinux-policy-targeted      Relocations: (not relocatable)
Version     : 2.4.6                             Vendor: Red Hat, Inc.
Release     : 23.fc6                        Build Date: Fri 05 Jan 2007 10:07:55
PM CET
Install Date: Mon 08 Jan 2007 02:03:26 PM CET      Build Host:
ls20-bc1-14.build.redhat.com
Group       : System Environment/Base       Source RPM:
selinux-policy-2.4.6-23.fc6.src.rpm
Size        : 17762197                         License: GPL
Signature   : DSA/SHA1, Sun 07 Jan 2007 07:37:27 PM CET, Key ID da84cbd430c9ecf8
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
URL         : http://serefpolicy.sourceforge.net
Summary     : SELinux targeted base policy
Description :
SELinux Reference policy targeted base module.

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Daniel Walsh 2007-01-08 12:14:25 EST
Do you know how you triggered this?
Comment 2 Erik Sohns 2007-01-08 12:30:58 EST
sorry, not really (adding setroubleshoot info)...

Source Context:  system_u:system_r:semanage_tTarget
Context:  system_u:system_r:xdm_t:SystemLow-SystemHigh
Target Objects:  pipe:[11703] [ fifo_file ]
Affected RPM Packages:  python-2.4.4-1.fc6 [application]
Policy RPM:  selinux-policy-2.4.6-23.fc6
Selinux Enabled:  True
Policy Type:  targeted
MLS Enabled:  True
Enforcing Mode:  Permissive
Plugin Name:  plugins.catchall
Host Name:  worms.home
Platform:  Linux worms.home 2.6.18-1.2869.fc6 #1 SMP Wed Dec 20 14:51:19 EST
2006 i686 athlon
Alert Count:  1
Line Numbers:   
Raw Audit Messages :
avc: denied { ioctl } for comm="genhomedircon" dev=pipefs egid=0 euid=0
exe="/usr/bin/python" exit=-22 fsgid=0 fsuid=0 gid=0 items=0 name="[11703]"
path="pipe:[11703]" pid=8348 scontext=system_u:system_r:semanage_t:s0 sgid=0
subj=system_u:system_r:semanage_t:s0 suid=0 tclass=fifo_file
tcontext=system_u:system_r:xdm_t:s0-s0:c0.c1023 tty=(none) uid=0 
Comment 3 Daniel Walsh 2007-01-11 16:57:07 EST
Fixed in selinux-policy-2.4.6-25
Comment 4 Daniel Walsh 2007-09-12 13:08:02 EDT
Moving modified bugs to closed

Note You need to log in before you can comment on or make changes to this bug.